Still, I'm kind of curious as to why Ruby doesn't have an officially
supported MySQL driver (or, is it just that it doesn't have one for
Windows)?

It's the first thing a PHP coder hoping to learn Ruby would reach for,
and it's a little disconcerting that one isn't provided in the GEM
package manager...

I'm not criticising Ruby, it just strikes me as odd.

Thanks to everyone who helped!

Much warmth,

planetthoughtful